summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/asunder/README3
-rw-r--r--audio/asunder/asunder.SlackBuild78
-rw-r--r--audio/asunder/asunder.info8
-rw-r--r--audio/asunder/doinst.sh3
-rw-r--r--audio/asunder/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/audio/asunder/README b/audio/asunder/README
new file mode 100644
index 0000000000..0488facea1
--- /dev/null
+++ b/audio/asunder/README
@@ -0,0 +1,3 @@
+Asunder is a graphical Audio CD ripper and encoder. You can use
+it to save tracks from an Audio CD as WAV, MP3, OGG, FLAC, and/or
+Wavpack.
diff --git a/audio/asunder/asunder.SlackBuild b/audio/asunder/asunder.SlackBuild
new file mode 100644
index 0000000000..d5b57a32e7
--- /dev/null
+++ b/audio/asunder/asunder.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for Asunder
+
+# Copyright 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=asunder
+VERSION=${VERSION:-1.6.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/asunder/asunder.info b/audio/asunder/asunder.info
new file mode 100644
index 0000000000..838809dce2
--- /dev/null
+++ b/audio/asunder/asunder.info
@@ -0,0 +1,8 @@
+PRGNAM="asunder"
+VERSION="1.6.2"
+HOMEPAGE="http://littlesvr.ca/asunder/"
+DOWNLOAD="http://littlesvr.ca/asunder/releases/asunder-1.6.2.tar.bz2"
+MD5SUM="6e9bd170497cb9cd36a544bd36e9634c"
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="Michiel"
diff --git a/audio/asunder/doinst.sh b/audio/asunder/doinst.sh
new file mode 100644
index 0000000000..5dc6bb58c0
--- /dev/null
+++ b/audio/asunder/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ usr/bin/update-desktop-database -q usr/share/applications
+fi
diff --git a/audio/asunder/slack-desc b/audio/asunder/slack-desc
new file mode 100644
index 0000000000..d1e750eb2f
--- /dev/null
+++ b/audio/asunder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+asunder: Asunder (Audio CD Ripper and Encoder)
+asunder:
+asunder: Asunder is a graphical Audio CD ripper and encoder. You can use
+asunder: it to save tracks from an Audio CD as WAV, MP3, OGG, FLAC, and/or
+asunder: Wavpack.
+asunder:
+asunder: Homepage: http://littlesvr.ca/asunder/
+asunder:
+asunder:
+asunder:
+asunder: